LOCK(1)

NAME
lock - reserve a terminal

SYNOPSIS
lock [-np] [-a style] [-t timeout]

DESCRIPTION
lock requests a password from the user, reads it again for verification and then will normally not relinquish the terminal until the password is repeated.

The options are as follows:

-a style
    The specified BSD Authentication login style (as specified in /etc/login.conf) will be used to authenticate the user. If the particular style requires a challenge/response handshake or a special prompt, the user may enter the name of the style to get the standard prompt for that style.

-n  Lock the terminal forever. This overrides -t and is the default on OpenBSD unless -t is specified.

-p  A password is not requested, instead the user's current login password is used. If the user has an S/Key key, they may also use it to unlock the terminal. To do this the user should enter "s/key" at the unlock “Key:” prompt. The user will then be issued an S/Key challenge to which they may respond with a six-word S/Key one-time password.

-t timeout
    Unlock the terminal after timeout minutes unless -n is also specified. When used in this manner lock should be invoked so that the user is safely logged out if the timeout elapses:

        $ lock -t 15 || exit

SEE ALSO
skey(1), login.conf(5)

HISTORY
The lock command first appeared in 2BSD.

AUTHORS
Kurt Shoens.